vCenter Server Upgrade naar 6.5.0-U1 mislukt met fout 1603

      Reacties uitgeschakeld voor vCenter Server Upgrade naar 6.5.0-U1 mislukt met fout 1603

Ik heb eens tijd besteed aan het upgraden van onze vCenter Server op Server 2012 van 6.5.0 naar 6.5.0-U1 met weinig succes. Mijn implementatie is slechts een paar maanden oud en niet complex

De VCS gaf een fout tijdens de installatie: “Installatie van component VCSServiceManager is mislukt met foutcode ‘1603’. Controleer de logboeken voor meer details. “

vcenter upgrade error 1603

De oplossing was eenvoudig genoeg nadat een draad in de VMware Communities mij in de goede richting heeft aangegeven waar de servicebestanden opgeslagen zijn op de Windows vCenter Server-versie.

Voor implementaties met een VSC, voer het volgende uit om het probleem op te lossen:

  1. Stop alle VMware-diensten die betrekking hebben op vCenter Server. Het stoppen van de ‘VMware vCenter Configuration Service’ heeft alle andere diensten als afhankelijkheden voldoende gestopt.
  2. Hernoem of verwijder het bestand: ‘C: \ ProgramData \ VMware \ vCenterServer \ runtime \ vmware-psc-client \ conf \ wrapper.conf’
  3. Voer de upgradeinstallatie als normaal uit. Het installatieprogramma vervangt het bestand dat we hebben verwijderd met een bijgewerkte kopie.

Nu loopt de installatie het hele proces door zonder fouten. En even later draaide de vCenter Server 6.5.0-U1

Het lijkt erop dat bepaalde licentie informatie is toegevoegd aan het wrapper.conf bestand, maar wordt niet bijgewerkt door de installatie als het bestand al bestaat. De ontbrekende informatie zorgt ervoor dat de Platform Services Client niet kan starten en het vCenter Server-installatieprogramma wordt afgebroken nadat de service mislukt.

Eenvoudige oplossing, als je weet waar je moet kijken.

Als je ook een fout 3010 ontvangt tijdens het installeren, controleer dan dit artikel voor de oplossing!